"use strict";
const _commonjsHelpers = require("../../_virtual/_commonjsHelpers.js");
const css_escape = require("../../_virtual/css.escape.js");
/*! https://mths.be/cssescape v1.5.1 by @mathias | MIT license */
(function(s, S) {
  (function(n, a) {
    s.exports = a(n);
  })(typeof _commonjsHelpers.commonjsGlobal < "u" ? _commonjsHelpers.commonjsGlobal : _commonjsHelpers.commonjsGlobal, function(n) {
    if (n.CSS && n.CSS.escape)
      return n.CSS.escape;
    var a = function(u) {
      if (arguments.length == 0)
        throw new TypeError("`CSS.escape` requires an argument.");
      for (var t = String(u), x = t.length, r = -1, e, i = "", f = t.charCodeAt(0); ++r < x; ) {
        if (e = t.charCodeAt(r), e == 0) {
          i += "�";
          continue;
        }
        if (
          // If the character is in the range [\1-\1F] (U+0001 to U+001F) or is
          // U+007F, […]
          e >= 1 && e <= 31 || e == 127 || // If the character is the first character and is in the range [0-9]
          // (U+0030 to U+0039), […]
          r == 0 && e >= 48 && e <= 57 || // If the character is the second character and is in the range [0-9]
          // (U+0030 to U+0039) and the first character is a `-` (U+002D), […]
          r == 1 && e >= 48 && e <= 57 && f == 45
        ) {
          i += "\\" + e.toString(16) + " ";
          continue;
        }
        if (
          // If the character is the first character and is a `-` (U+002D), and
          // there is no second character, […]
          r == 0 && x == 1 && e == 45
        ) {
          i += "\\" + t.charAt(r);
          continue;
        }
        if (e >= 128 || e == 45 || e == 95 || e >= 48 && e <= 57 || e >= 65 && e <= 90 || e >= 97 && e <= 122) {
          i += t.charAt(r);
          continue;
        }
        i += "\\" + t.charAt(r);
      }
      return i;
    };
    return n.CSS || (n.CSS = {}), n.CSS.escape = a, a;
  });
})(css_escape.__module);
